# Create a relationship with the travel rule provider

Pass-through proxy API to create a relationship with the travel rule provider (e.g., Notabene)

Endpoint: POST /v1/domains/{domainId}/compliance/travel-rule/providers/{provider}/relationships
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `domainId` (string, required)

  - `provider` (string, required)

## Request fields (application/json):

  - `from` (string)
    The DID of the source entity. Defaults to the entityDID from the domain credentials.
    Example: did:web:ripple.com:test:us

  - `to` (string, required)
    The DID of the target entity.
    Example: did:web:example.com:test:counterparty

## Response 201:

  - `201` (unknown)
    Relationship created successfully

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (*/*):

  - `reason` (string, required)

  - `message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (*/*):

  - `reason` (string, required)

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (*/*):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Domain not found

## Response 404 fields (*/*):

  - `reason` (string, required)

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (*/*):

  - `reason` (string, required)

  - `message` (string)

